[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TPageControl.DoAddDockClient

DoAddDockClient creates a new tab sheet in the PageControl, places the client on it and aligns it.

## Declaration

Source position: comctrls.pp line 589

`protected procedure TPageControl.DoAddDockClient(`
`Client: TControl;`
`const ARect: TRect`
`); override;`

## Description

Client cannot be added directly to TPageControl, but a new tab sheet should be added and client placed on it.

## See also

TWinControl.DoAddDockClient |  | Adjust the Parent of a newly docked Client.